Uses of Class
com.eqixiac.equinix.customerportal.model.json.creators.IbxLocation
Packages that use IbxLocation
-
Uses of IbxLocation in com.eqixiac.equinix.customerportal.model.json.creators
Methods in com.eqixiac.equinix.customerportal.model.json.creators with parameters of type IbxLocationModifier and TypeMethodDescriptionInboundShipmentOrderRequest.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, InboundShipmentServiceDetails serviceDetails) Returns a new builder for an inbound shipment order request.OutboundShipmentOrderRequest.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, OutboundShipmentServiceDetails serviceDetails) Returns a new builder for an outbound shipment order request.SmartHandsRequestJson.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, ScheduleInfo schedule, Object serviceDetails) Returns a new builder for a smart hands request body using a typed per-typeserviceDetailscreator (e.g.SmartHandsRequestJson.builder(IbxLocation ibxLocation, List<ContactInfo> contacts, ScheduleInfo schedule, Map<String, Object> serviceDetails) Returns a new builder for a smart hands request body using a free-formMap<String, Object>serviceDetailsescape hatch.TroubleTicketOrderRequest.builder(IbxLocation ibxLocation, TroubleTicketServiceDetails serviceDetails, List<TroubleTicketContact> contacts) Returns a new builder for a trouble ticket order request body.